## Class Auth_OpenID_Request

Description

The base class for all server request classes.

Located in /Auth/OpenID/Server.php (line 343)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_CheckAuthRequest | A request to verify the validity of a previous response.
Auth_OpenID_AssociateRequest | A request to associate with the server.
Auth_OpenID_CheckIDRequest | A request to confirm the identity of a user.

Variable Summary
mixed $mode
Variables
mixed $mode = null (line 344)

Redefined in descendants as:

- Auth_OpenID_CheckAuthRequest::$mode
- Auth_OpenID_AssociateRequest::$mode
- Auth_OpenID_CheckIDRequest::$mode : The mode of this request.

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2